const path = require('path')
const FmdTemplatePlugin = require('./webpack-fmd')

const vendorMap = {}

module.exports = {
  entry: {
    vendors: './vendors.js'
  },
  output: {
    path: path.join(__dirname, 'dist'),
    filename: 'pkg.[name].js',
    publicPath: '/static/'
  },
  module: {
    loaders: [
      { test: /\.jsx/, loader: 'babel' }
    ]
  },
  plugins: [
    new FmdTemplatePlugin({
      prefix: 'gallery/',
      name: 'vendors.js',
      deps: vendorMap
    })
  ]
}
